{
  "aggMode" : "NONE",
  "codeName" : "Main",
  "columnEnableFilter" : 2,
  "columnEnableLink" : 2,
  "controlType" : "GRID",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID/PSGRIDS/Main.json",
  "getFetchPSControlAction" : {
    "modelref" : true,
    "id" : "fetch",
    "actionType" : "DEDATASET",
    "name" : "fetch",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID.json"
    }
  },
  "groupMode" : "NONE",
  "logicName" : "主表格",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID.json"
  },
  "getPSDEDataImport" : {
    "modelref" : true,
    "id" : "test_data_import2"
  },
  "getPSDEGridColumns" : [ {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "getCapPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.TESTGRIDNAME"
    },
    "caption" : "测试表格名称",
    "codeName" : "testgridname",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "testgridname",
    "excelCaption" : "测试表格名称",
    "name" : "testgridname",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "TESTGRIDNAME",
      "codeName" : "TESTGRIDName"
    },
    "width" : 150,
    "widthUnit" : "PX",
    "enableSort" : true
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "FRONT",
    "getCapPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.UPDATEMAN"
    },
    "caption" : "更新人",
    "codeName" : "updateman",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "updateman",
    "excelCaption" : "更新人",
    "name" : "updateman",
    "noPrivDisplayMode" : 1,
    "getPSAppCodeList" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
    },
    "getPSAppDEField" : {
      "name" : "UPDATEMAN",
      "codeName" : "UpdateMan"
    },
    "width" : 150,
    "widthUnit" : "PX",
    "enableSort" : true
  }, {
    "align" : "LEFT",
    "cLConvertMode" : "NONE",
    "getCapPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.UPDATEDATE"
    },
    "caption" : "更新时间",
    "codeName" : "updatedate",
    "columnType" : "DEFGRIDCOLUMN",
    "dataItemName" : "updatedate",
    "excelCaption" : "更新时间",
    "name" : "updatedate",
    "noPrivDisplayMode" : 1,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    },
    "valueFormat" : "YYYY-MM-DD HH:mm:ss",
    "width" : 150,
    "widthUnit" : "PX",
    "enableSort" : true
  } ],
  "getPSDEGridDataItems" : [ {
    "dataType" : 25,
    "name" : "testgridname",
    "getPSAppDEField" : {
      "name" : "TESTGRIDNAME",
      "codeName" : "TESTGRIDName"
    }
  }, {
    "dataType" : 25,
    "name" : "updateman",
    "getPSAppDEField" : {
      "name" : "UPDATEMAN",
      "codeName" : "UpdateMan"
    }
  }, {
    "format" : "YYYY-MM-DD HH:mm:ss",
    "dataType" : 5,
    "name" : "updatedate",
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "dataType" : 25,
    "name" : "srfkey",
    "getPSAppDEField" : {
      "name" : "TESTGRIDID",
      "codeName" : "TESTGRIDId"
    }
  }, {
    "dataType" : 25,
    "name" : "srfdataaccaction",
    "getPSAppDEField" : {
      "name" : "TESTGRIDID",
      "codeName" : "TESTGRIDId"
    },
    "dataAccessAction" : true
  }, {
    "dataType" : 25,
    "name" : "srfmajortext",
    "getPSAppDEField" : {
      "name" : "TESTGRIDNAME",
      "codeName" : "TESTGRIDName"
    }
  } ],
  "getPSDEGridEditItems" : [ {
    "caption" : "测试表格标识",
    "codeName" : "srfkey",
    "enableCond" : 3,
    "ignoreInput" : 0,
    "name" : "srfkey",
    "getPSAppDEField" : {
      "name" : "TESTGRIDID",
      "codeName" : "TESTGRIDId"
    },
    "getPSEditor" : {
      "editorType" : "HIDDEN",
      "name" : "srfkey"
    },
    "allowEmpty" : true
  } ],
  "pagingMode" : 1,
  "pagingSize" : 20,
  "getRemovePSControlAction" : {
    "actionName" : "Remove",
    "actionType" : "DEACTION",
    "dataAccessAction" : "DELETE",
    "name" : "remove",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TESTGRID.json"
    }
  },
  "sortMode" : "REMOTE",
  "hasWFDataItems" : false,
  "enableColFilter" : false,
  "enableCustomized" : true,
  "enableGroup" : false,
  "enablePagingBar" : true,
  "enableRowEdit" : false,
  "enableRowEditOrder" : false,
  "enableRowNew" : false,
  "forceFit" : false,
  "hideHeader" : false,
  "noSort" : false,
  "singleSelect" : false,
  "modelid" : "1b820e271bbc1336f95c9739976ee53c",
  "modeltype" : "PSDEGRID"
}